%define upstream_name    Time-Local
%define upstream_version 1.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Implements timelocal() and timegm()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides functions that are the inverse of built-in perl
functions 'localtime()' and 'gmtime()'. They accept a date as a six-element
array, and return the corresponding 'time(2)' value in seconds since the
system epoch (Midnight, January 1, 1970 GMT on Unix, for example). This
value can be positive or negative, though POSIX only requires support for
positive values, so dates before the system's epoch may not work on all
operating systems.

It is worth drawing particular attention to the expected ranges for the
values provided. The value for the day of the month is the actual day (ie
1..31), while the month is the number of months since January (0..11). This
is consistent with the values returned from 'localtime()' and 'gmtime()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-3.mga9
+ Revision: 1812316
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 1.300.0-2.mga8
+ Revision: 1545294
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.300.0-1.mga8
+ Revision: 1484379
- update to 1.30

* Thu Sep 20 2018 umeabot <umeabot> 1.280.0-2.mga7
+ Revision: 1287124
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 1.280.0-1.mga7
+ Revision: 1238946
- update to 1.28

* Tue Oct 03 2017 tv <tv> 1.250.0-2.mga7
+ Revision: 1167165
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.250.0-1.mga7
+ Revision: 1156126
- update to 1.25
- update to 1.25

* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-10.mga6
+ Revision: 1035280
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.230.0-9.mga6
+ Revision: 949365
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.230.0-8.mga5
+ Revision: 789651
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-7.mga5
+ Revision: 741438
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-6.mga5
+ Revision: 686700
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.230.0-5.mga4
+ Revision: 522790
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.230.0-4.mga3
+ Revision: 405580
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-3.mga3
+ Revision: 374355
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.230.0-2.mga3
+ Revision: 315585
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.230.0-1.mga3
+ Revision: 284607
- update to 1.2300

* Fri Feb 25 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 59594
- update to 1.2000

* Thu Jan 20 2011 jquelin <jquelin> 1.190.100-1.mga1
+ Revision: 27192
- mageia rebuild
- imported package perl-Time-Local

